Пакеты, имеющие неудовлетворённые зависимости

Советы и подсказки по софту, работе в операционных системах, комплектующих и сборок компьютеров.

Пакеты, имеющие неудовлетворённые зависимости

Сообщение toxi » 25-03-2019 16:59:36

Проблема:
Код: Выделить всё
Пакеты, имеющие неудовлетворённые зависимости:
 libgssapi-krb5-2 : Зависит: libkrb5-3 (= 1.12.1+dfsg-19+deb8u5) но 1.13.2+dfsg-5 будет установлен
 libkrb5-3 : Зависит: libkrb5support0 (= 1.13.2+dfsg-5) но 1.12.1+dfsg-19+deb8u5 будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).


Не помогали apt-get -f install и подобные команды.
Решение было выполнить команду: dpkg -r --force-depends libkrb5-3 (Можно использовать опцию --force-depends, чтобы не удалять пакеты, которые зависят от удаляемого).
Пакет успешно был удален:
Код: Выделить всё
root@zabbix-srv:~# dpkg -r --force-depends libkrb5-3
dpkg: libkrb5-3:amd64: имеются проблемы с зависимостями, но по вашему указанию
он всё равно будет удалён:
 libgssapi-perl зависит от libkrb5-3 (>= 1.6.dfsg.2), однако:
  Пакет libkrb5-3:amd64 будет удалён.
 php5-cli зависит от libkrb5-3 (>= 1.6.dfsg.2).
 libtirpc1:amd64 зависит от libkrb5-3 (>= 1.6.dfsg.2).
 openssh-server зависит от libkrb5-3 (>= 1.6.dfsg.2).
 libgssapi-krb5-2:amd64 зависит от libkrb5-3 (= 1.12.1+dfsg-19+deb8u5).
 libneon27-gnutls зависит от libkrb5-3 (>= 1.6.dfsg.2).
 openjdk-7-jre-headless:amd64 зависит от libkrb5-3 (>= 1.6.dfsg.2).
 libbind9-90 зависит от libkrb5-3 (>= 1.6.dfsg.2).
 libisccfg90 зависит от libkrb5-3 (>= 1.6.dfsg.2).
 dnsutils зависит от libkrb5-3 (>= 1.6.dfsg.2).
 nfs-common зависит от libkrb5-3 (>= 1.6.dfsg.2).
 libcurl3-gnutls:amd64 зависит от libkrb5-3 (>= 1.6.dfsg.2).
 libkadm5cl
(Чтение базы данных … на данный момент установлено 147420 файлов и каталогов.)
Удаляется libkrb5-3:amd64 (1.13.2+dfsg-5) …
Обрабатываются триггеры для libc-bin (2.19-18+deb8u10) …


Однако появилась проблема, которая была решена просто:
Код: Выделить всё
root@zabbix-srv:~# apt update
/usr/lib/apt/methods/https: error while loading shared libraries: libkrb5.so.3: cannot open shared object file: No such file or directory
E: Method https has died unexpectedly!
E: Порождённый процесс https вернул код ошибки (127)
E: Метод /usr/lib/apt/methods/https запустился не корректно


Теперь использование apt-get -f install сработает:
Код: Выделить всё
root@zabbix-srv:~# apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Будут установлены следующие дополнительные пакеты:
  libkrb5-3 openssh-client openssh-server openssh-sftp-server
Предлагаемые пакеты:
  krb5-doc krb5-user ssh-askpass libpam-ssh keychain monkeysphere rssh molly-guard ufw
НОВЫЕ пакеты, которые будут установлены:
  libkrb5-3
Пакеты, которые будут обновлены:
  openssh-client openssh-server openssh-sftp-server
обновлено 3, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 19 пакетов не обновлено.
Необходимо скачать 1 063 kB/1 366 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 1 054 kB.
Хотите продолжить? [Д/н] y
ВНИМАНИЕ: Следующие пакеты невозможно аутентифицировать!
  libkrb5-3 openssh-sftp-server openssh-server openssh-client
Установить эти пакеты без проверки? [y/N] Y
Получено:1 http://security.debian.org/ jessie/updates/main openssh-sftp-server amd64 1:6.7p1-5+deb8u8 [38,1 kB]
Получено:2 http://security.debian.org/ jessie/updates/main openssh-server amd64 1:6.7p1-5+deb8u8 [329 kB]
Получено:3 http://security.debian.org/ jessie/updates/main openssh-client amd64 1:6.7p1-5+deb8u8 [696 kB]
Получено 1 063 kБ за 1с (1 037 kБ/c)
Чтение журнала изменений... Выполнено
Предварительная настройка пакетов ...
Выбор ранее не выбранного пакета libkrb5-3:amd64.
(Чтение базы данных … на данный момент установлено 147408 файлов и каталогов.)
Подготовка к распаковке …/libkrb5-3_1.12.1+dfsg-19+deb8u5_amd64.deb …
Распаковывается libkrb5-3:amd64 (1.12.1+dfsg-19+deb8u5) …
Подготовка к распаковке …/openssh-sftp-server_1%3a6.7p1-5+deb8u8_amd64.deb …
Распаковывается openssh-sftp-server (1:6.7p1-5+deb8u8) на замену (1:6.7p1-5+deb8u7) …
Подготовка к распаковке …/openssh-server_1%3a6.7p1-5+deb8u8_amd64.deb …
Распаковывается openssh-server (1:6.7p1-5+deb8u8) на замену (1:6.7p1-5+deb8u7) …
Подготовка к распаковке …/openssh-client_1%3a6.7p1-5+deb8u8_amd64.deb …
Распаковывается openssh-client (1:6.7p1-5+deb8u8) на замену (1:6.7p1-5+deb8u7) …
Обрабатываются триггеры для man-db (2.7.0.2-5) …
Обрабатываются триггеры для systemd (215-17+deb8u11) …
Настраивается пакет libkrb5-3:amd64 (1.12.1+dfsg-19+deb8u5) …
Настраивается пакет openssh-client (1:6.7p1-5+deb8u8) …
Настраивается пакет openssh-sftp-server (1:6.7p1-5+deb8u8) …
Настраивается пакет openssh-server (1:6.7p1-5+deb8u8) …
Обрабатываются триггеры для libc-bin (2.19-18+deb8u10) …
root@zabbix-srv:~#
Читаем "Правила конференции", перед созданием сообщения/темы
Аватара пользователя
toxi
Администратор
Администратор
 
Сообщения: 481
Зарегистрирован: 12-04-2008 06:58:25
Откуда: Украина, г. Житомир
Ваш пол: Мужской
Имя: Роман

Вернуться в F1: Советы и подсказки



cron